﻿<UserControl x:Class="TouchAndTeachWindows.Menu.MenuOptions.MenuOptions"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             mc:Ignorable="d" 
             xmlns:localMenu="clr-namespace:TouchAndTeachWindows.Menu"
             d:DesignHeight="145" d:DesignWidth="500">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="0.1*" />
            <ColumnDefinition Width="0.1*"/>
            <ColumnDefinition Width="0.1*"/>
            <ColumnDefinition Width="0.1*"/>
            <ColumnDefinition Width="0.1*"/>
            <ColumnDefinition Width="0.2*"/>
        </Grid.ColumnDefinitions>
        
        <localMenu:MenuButton 
            x:Name="SaveButton" 
            Grid.Column="0" 
            IconMargin="5"
            IconTemplate="{DynamicResource SaveTemplate}"
            Pressed="SaveButton_Pressed" />
        
        <localMenu:MenuButton 
            x:Name="LoadButton" 
            Grid.Column="1" 
            IconMargin="1"
            IconTemplate="{DynamicResource FolderTemplate}"
            Pressed="LoadButton_Pressed" />


        <localMenu:MenuButton 
            x:Name="SendFileButton" 
            Grid.Column="2" 
            IconMargin="6"
            Height="60"
            Width="50"
            Source="/TouchAndTeachWindows;component/ImgRes/fusion_arrow_icon_180.png"
            Pressed="SendFileButton_Pressed" />

        <localMenu:MenuButton 
            x:Name="AboutButton" 
            Grid.Column="3" 
            IconMargin="6"
            IconTemplate="{DynamicResource AboutTemplate}"
            Pressed="AboutButton_Pressed" />

        <localMenu:MenuButton 
            x:Name="Quit" 
            Grid.Column="4" 
            IconMargin="3"
            IconTemplate="{DynamicResource QuitTemplate}"
            Pressed="QuitButton_Pressed" />
    </Grid>
</UserControl>
